preinst is in cscope 15.7a-3.5.
This file is a maintainer script. It is executed when installing (*inst) or removing (*rm) the package.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 | #!/bin/sh -e
set -e
cleanup_sitestart() {
if [ -e /etc/emacs/site-start.d/50cscope.el ]; then
rm -f /etc/emacs/site-start.d/50cscope.el
fi
}
case "$1" in
upgrade)
cleanup_sitestart
;;
install|abort-upgrade)
;;
*)
echo "$0 called with unknown argument '$1'" >&2
exit 1
;;
esac
exit 0
|